#include "lpc210x.h"

// olimex LPC-P2106: one led on P0.7 (active low)
#define LEDPIN  7
// olimex LPC-P2106: one switch on P0.31 (active low)
#define SWPIN 	31

class LED_Handler {
public:
	void init(void)
	{
		IODIR |= (1<<LEDPIN);	// define LED-Pin as output
		IOSET = (1<<LEDPIN);	// set Bit = off (active low)
	}
	void off(void) {		
		IOCLR=(1<<LEDPIN);	// set all outputs in mask to 0
	}
	void on(void) {
		IOSET=(1<<LEDPIN);	// key released -> LED on
	}
};

static void delay(void )
{
	int i,j;

	for (i=0;i<100;i++)
		for (j=0;j<1000;j++);
}
 
 
int main(void)
{
	int i;
	LED_Handler lh; 
	
	MAMCR = 2;	// MAM functions fully enabled
	
	lh.init();
	
	IODIR &= ~(1<<SWPIN);	// define Switch-Pin as input
	
	i=0;
	while (i<10)	
	{
		lh.off();
		delay();
		lh.on();
		delay();
		i++;
	}
	
	while (1)	
	{
		if (IOPIN & (1<<SWPIN))
			lh.off();
		else
			lh.on();
	}
	
	return 0;
}
